Module | Chef::Formatters::APIErrorFormatting
In: | lib/chef/formatters/error_inspectors/api_error_formatting.rb

### Methods

api_key clock_skew? describe_400_error describe_401_error describe_500_error describe_503_error describe_http_error describe_network_errors format_rest_error server_url username

### Constants

NETWORK_ERROR_CLASSES | = | [Errno::ECONNREFUSED, Timeout::Error, Errno::ETIMEDOUT, SocketError]

### Public Instance methods

api_key()
clock_skew?()
describe_400_error(error_description)
describe_401_error(error_description)
describe_500_error(error_description)
describe_503_error(error_description)
describe_http_error(error_description)

Fallback for unexpected/uncommon http errors

describe_network_errors(error_description)
format_rest_error()

Parses JSON from the error response sent by Chef Server and returns the error message

server_url()
username()

[Validate]